Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.information
Class BlockadeInformation

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
          jp.ac.nagoyau.is.ss.kishii.suntori.message.information.WorldInformation
              jp.ac.nagoyau.is.ss.kishii.suntori.message.information.BlockadeInformation

All Implemented Interfaces:
  IMessage

    public class BlockadeInformation

extends WorldInformation

The BlockadeInformation represent the Information of Blockade.

Author:
  takefumi

Field Summary

Fields inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`COMMON_DATA_TYPE, data, messageType`

Constructor Summary
`BlockadeInformation(BaseMessageType type, java.util.List<java.lang.Integer> bitList, int offset, java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)` The method that the library use to convert the message.
`BlockadeInformation(int time, rescuecore2.worldmodel.EntityID blockadeID, rescuecore2.worldmodel.EntityID roadID, int repairCost)` Constructor
`BlockadeInformation(int time, rescuecore2.worldmodel.EntityID blockadeID, rescuecore2.worldmodel.EntityID roadID, int repairCost, rescuecore2.misc.Pair<java.lang.Integer,java.lang.Integer> blockadeCor)` Constructor

Method Summary
`rescuecore2.worldmodel.EntityID` | `getBlockadeID()` Return EntityID of the blockade.
`rescuecore2.misc.Pair<java.lang.Integer,java.lang.Integer>` | `getCoodinate()` Return the coordinate of the blockade.
`rescuecore2.worldmodel.EntityID` | `getEntityID()`
`int` | `getRepairCost()` Return repair cost of the blockade.
`rescuecore2.worldmodel.EntityID` | `getRoadID()` Return EntityID of road that the blockade exist.

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`equals, getBrokenness, getBuriedness, getCoodinate, getDamage, getData, getData, getDataTypeArray, getEntityIDList, getFieryness, getHP, getID, getMessageBitSize, getMessageType, getRepairCost, getSendTime, getSendTime, getWater, getWaterPower, hashCode, isSendable, setCoorinate, setData, setData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockadeInformation

    public BlockadeInformation(int time,
                               rescuecore2.worldmodel.EntityID blockadeID,
                               rescuecore2.worldmodel.EntityID roadID,
                               int repairCost)

  ## Constructor

  Create the blockade information.
  Included data are follow.
  - time:the time that the message is created.(int)
  - blockadeID:EntityID of the blockade
  - roadID:EntityID of road that the blockade exist
  - repairCost:repair cost of the blockade
  Additionally, This message can send the barycentric coodinate of the blockade, if coodinate information doesn't exist, we get coodinate information as (-1,-1).

  Parameters:
    `time` - step num
    `blockadeID` - EntityID of the blockade
    `roadID` - EntityID of road that the blockade exists
    `repairCost` - repair cost of the blockade

### BlockadeInformation

    public BlockadeInformation(int time,
                               rescuecore2.worldmodel.EntityID blockadeID,
                               rescuecore2.worldmodel.EntityID roadID,
                               int repairCost,
                               rescuecore2.misc.Pair<java.lang.Integer,java.lang.Integer> blockadeCor)

  ## Constructor

  Create the blockade information.
  Included data are follow.
  - time:the time that the message is created.(int)
  - blockadeID:EntityID of the blockade
  - roadID:EntityID of road that the blockade exist
  - repairCost:repair cost of the blockade
  - blockadeCor:barycentric coordinate of the blockade.

  Parameters:
    `time` - step num
    `blockadeID` - EntityID of the blockade
    `roadID` - EntityiD of road that the blockade exists
    `repairCost` - repair cost of the blockade
    `blockadeCor` - barycentric coordinate of the blockade

### BlockadeInformation

    public BlockadeInformation(BaseMessageType type,
                               java.util.List<java.lang.Integer> bitList,
                               int offset,
                               java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)

  The method that the library use to convert the message.

  Parameters:
    `type` -
    `bitList` -
    `offset` -
    `bitSizeMap` -

Method Detail

### getBlockadeID

    public rescuecore2.worldmodel.EntityID getBlockadeID()

  Return EntityID of the blockade.

  Returns:
    EntityID

### getRoadID

    public rescuecore2.worldmodel.EntityID getRoadID()

  Return EntityID of road that the blockade exist.

  Returns:
    EntityID

### getRepairCost

    public int getRepairCost()

  Return repair cost of the blockade.

  Returns:
    repair cost

### getCoodinate

    public rescuecore2.misc.Pair<java.lang.Integer,java.lang.Integer> getCoodinate()

  Return the coordinate of the blockade.

  Returns:
    barycentric coordinate(Pair<Integer,Integer>)

### getEntityID

    public rescuecore2.worldmodel.EntityID getEntityID()

  Specified by:
    `getEntityID` in class `WorldInformation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD